import request from '@/utils/request'

// 查询学校介绍类别列表
export function listMallIntroduceClass(query) {
  return request({
    url: '/mall/mallIntroduceClass/list',
    method: 'get',
    params: query
  })
}

// 分类列表
export function selectClassList() {
  return request({
    url: '/mall/mallIntroduceClass/selectClassList',
    method: 'get'
  })
}

// 查询学校介绍类别详细
export function getMallIntroduceClass(introduceClassId) {
  return request({
    url: '/mall/mallIntroduceClass/' + introduceClassId,
    method: 'get'
  })
}

// 新增学校介绍类别
export function addMallIntroduceClass(data) {
  return request({
    url: '/mall/mallIntroduceClass',
    method: 'post',
    data: data
  })
}

// 修改学校介绍类别
export function updateMallIntroduceClass(data) {
  return request({
    url: '/mall/mallIntroduceClass',
    method: 'put',
    data: data
  })
}

// 删除学校介绍类别
export function delMallIntroduceClass(introduceClassId) {
  return request({
    url: '/mall/mallIntroduceClass/' + introduceClassId,
    method: 'delete'
  })
}
